/**
 * @author Aleksandr A. Lomov <lomov@cs.karelia.ru>
 * @date   10.03.2016
 * @brief  Base class for protocol handlers.
 *
 * This file is part of the CuteSIB project.
 *
 * @section LICENSE
 *
 * CuteSIB is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * CuteSIB is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with CuteSIB; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor,
 * Boston, MA  02110-1301  USA
 *
 * @section DESCRIPTION
 *
 * ProtocolHandler is base class for protocol handlers. Handlers implemente logic for application protocols.
 * Handlers work in pair with access points. Each handler could have several access points as a sources
 * of clients (agents) requests and for sending responses.
 * Each imlemented ProtocolHandler have an indetifier, this identifier is used in config file and in the SIB
 * to configure handler and control it. Identifier must be uniq for every ProtocolHandler in the SIB.
 *
 * Web-site: http://oss.fruct.org/wiki/SmartSpace-platform
 * Copyright (C) 2015-2016 by PetrSU.
 */


#include "protocolhandler.h"


/*****************************************************************************/
/************************** Constructors/destructors *************************/

cutesib::ProtocolHandler::ProtocolHandler(QString id, QStringList protocols, QObject *parent) :
    SibModule(id, parent), protocols_(protocols)
{

}


cutesib::ProtocolHandler::~ProtocolHandler()
{

}
