/**
 * @author Aleksandr A. Lomov <lomov@cs.karelia.ru>
 * @date   12.03.2015
 * @brief  SIB errors.
 *
 * This file is part of the CuteSIB project.
 *
 * @section LICENSE
 *
 * CuteSIB is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * CuteSIB is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with CuteSIB; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor,
 * Boston, MA  02110-1301  USA
 *
 * @section DESCRIPTION
 *
 * Describes errors for SIB
 *
 * Contact: http://oss.fruct.org/wiki/SmartSpace-platform
 * Copyright (C) 2015-2016 by PetrSU.
 */


#ifndef CUTESIB_ERRORS
#define CUTESIB_ERRORS


namespace cutesib {

/**
 * @brief Errors codes.
 */
enum class SibError {
    FALED = -1,                 ///< It doesn't matter what, but something wrong or unknown error.
    NONE = 0,                   ///< Everything is fine.
    INITIALIZATION_MODULE,      ///< Module cannot be initialized.
    NOT_FOUND_CONFIG,           ///< Config file ot found.
    NOT_IMPLEMENTED,            ///< Requested functionality (e.g. in module) has no implementation.
    NOT_MAPPED                  ///< Command does not mapped with handler.
};

}

#endif // CUTESIB_ERRORS

