#include "stopwatch.h"

#include <QFile>
#include <QTextStream>

// Macro for suppress 'unused paramater' warning in function with empty implementation.
#define UNUSED(x) (void)(x)

static QTime stopwatch;
static QList<int> timeMeasures;

Stopwatch::Stopwatch()
{

}

void Stopwatch::start()
{
#ifdef EXPERIMENTS_ON
    stopwatch.start();
#endif
}

void Stopwatch::elapsed()
{
#ifdef EXPERIMENTS_ON
    timeMeasures.append(stopwatch.elapsed());
#endif
}

void Stopwatch::stopAndWrite(QString prefix)
{
#ifdef EXPERIMENTS_ON
    timeMeasures.append(stopwatch.elapsed());

    QFile file("tests/experiments.txt");
    file.open(QIODevice::Append);
    QTextStream outStream(&file);
    outStream << prefix;

    foreach (int time, timeMeasures) {
        outStream << " " << time;
    }

    outStream << "\n";
    file.close();

    timeMeasures.clear();
#else
    UNUSED(prefix);
#endif
}
